/*! mcLayer v1.0.0 | (c) Junbo | http://webmcui.com/plugins  请和mc-layer.js配合使用*/
.mc-layer[theme="ab"] { width : 100%; height : 100%; position : absolute; left : 0; top : 0; z-index : 999; display : inline-table }
.mc-layer[theme="ab"]:before { content : ""; display : block; width : 100%; height : 100%; background : rgba(0, 0, 0, .7); position : fixed }
.mc-layer[theme="ab"] > * { display : table-cell; vertical-align : bottom; text-align : center; height : 100%; width : 100%; position : relative }
.mc-layer[theme="ab"] > * > * { display : inline-block !important;transform : translate3d(0, 100%, 0); transform-style : preserve-3d;}
/*加载*/
.mc-layer[theme="ab"] .mc-layer-loading { color : #fff;}
/*内容*/
.mc-layer[theme="ab"] .mc-layer-content { color : #fff; }
.layer-ban { position : fixed; width : 100%; height : 100% }
.mc-layer-pop { background : #fff; padding : 1em; border-radius : 3px }
/*动画*/
@keyframes layer-show-ab {
    0% {transform : translate3d(0, 100%, 0);}
    100% {transform : translate3d(0, 0%, 0);}
}
@-webkit-keyframes layer-show-ab {
    0% {-webkit-transform : translate3d(0, 100%, 0);}
    100% {-webkit-transform : translate3d(0, 0, 0);}
}
[theme="ab"][view="show"] > * > * {
    animation         : layer-show-ab .4s forwards;
    -webkit-animation : layer-show-ab .4s forwards;
}
@keyframes layer-hide-ab {
    0% {transform : translate3d(0, 0, 0);}
    100% {transform : translate3d(0, 100%, 0);}
}
@-webkit-keyframes layer-hide-ab {
    0% {-webkit-transform : translate3d(0, 0, 0);}
    100% {-webkit-transform : translate3d(0, 100%, 0);}
}
[theme="ab"][view="hide"] > * > * {
    animation         : layer-hide-ab .4s forwards;
    -webkit-animation : layer-hide-ab .4s forwards;
}